Bug 220786 - LSPP - Faillog does not report correct number of failed logins
LSPP - Faillog does not report correct number of failed logins
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pam (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-12-26 17:01 EST by Eduardo M. Fleury
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-03 03:13:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 30582 None None None Never

  None (edit)
Description Eduardo M. Fleury 2006-12-26 17:01:10 EST
Description of problem:
After an unsuccessful attempt of console login "faillog" still reports zero
login failures.

Version-Release number of selected component (if applicable):


# uname -a
Linux ct.ltc.ic.unicamp.br 2.6.18-1.2840.2.1.el5.lspp.57 #1 SMP Fri Dec 8
17:28:15 EST 2006 i686 i686 i386 GNU/Linux

System is a RHEL5 Beta2 Server 12/18 refresh installed with LSPP KS script v16-1.

How reproducible:

Steps to Reproduce:
1. Make sure you have an ordinary user account created, I'll suppose this user
   is called "tux".
2. In terminal 1 (Alt-F1) login as root
3. "faillog -u tux"      <--- See how many failures are there.
4. In a second terminal (for instance, Alt-F2) try to login as "tux" with a bad
5. Back to terminal 1 (Alt-F1) try "faillog -u tux" again. The failure count is
still the same.
Actual results:
Fail count doesn't increase

Expected results:
It was expect the failure count was increased by one.

Additional info:
It seems the fail count is stick to zero always... I still haven't managed to
make it change.
Comment 5 Tomas Mraz 2007-01-03 03:13:52 EST
Also note there is a pam_tally2.so which removes 32/64bit incompatibility in the
/var/log/faillog format with pam_tally2 utility to print the tally information.

Note You need to log in before you can comment on or make changes to this bug.